Index: /code/trunk/src/util/String.h
===================================================================
--- /code/trunk/src/util/String.h	(revision 2170)
+++ /code/trunk/src/util/String.h	(revision 2171)
@@ -28,5 +28,5 @@
 
 /**
-    @file String.h
+    @file
     @brief Declaration of several string manipulation functions, used in many parts of the game.
 */
@@ -40,41 +40,44 @@
 #include <sstream>
 
-extern _UtilExport std::string BLANKSTRING;
-_UtilExport std::string getUniqueNumberString();
+namespace orxonox
+{
+    extern _UtilExport std::string BLANKSTRING;
+    _UtilExport std::string getUniqueNumberString();
 
-_UtilExport void        strip(std::string* str);
-_UtilExport std::string getStripped(const std::string& str);
+    _UtilExport void        strip(std::string* str);
+    _UtilExport std::string getStripped(const std::string& str);
 
-_UtilExport std::string removeTrailingWhitespaces(const std::string& str);
+    _UtilExport std::string removeTrailingWhitespaces(const std::string& str);
 
-_UtilExport size_t      getNextQuote(const std::string& str, size_t start);
-_UtilExport bool        isBetweenQuotes(const std::string& str, size_t pos);
+    _UtilExport size_t      getNextQuote(const std::string& str, size_t start);
+    _UtilExport bool        isBetweenQuotes(const std::string& str, size_t pos);
 
-_UtilExport bool        hasStringBetweenQuotes(const std::string& str);
-_UtilExport std::string getStringBetweenQuotes(const std::string& str);
+    _UtilExport bool        hasStringBetweenQuotes(const std::string& str);
+    _UtilExport std::string getStringBetweenQuotes(const std::string& str);
 
-_UtilExport std::string stripEnclosingQuotes(const std::string& str);
-_UtilExport std::string stripEnclosingBraces(const std::string& str);
+    _UtilExport std::string stripEnclosingQuotes(const std::string& str);
+    _UtilExport std::string stripEnclosingBraces(const std::string& str);
 
-_UtilExport bool        isEmpty(const std::string& str);
-_UtilExport bool        isComment(const std::string& str);
-_UtilExport bool        isNumeric(const std::string& str);
+    _UtilExport bool        isEmpty(const std::string& str);
+    _UtilExport bool        isComment(const std::string& str);
+    _UtilExport bool        isNumeric(const std::string& str);
 
-_UtilExport std::string addSlashes(const std::string& str);
-_UtilExport std::string removeSlashes(const std::string& str);
+    _UtilExport std::string addSlashes(const std::string& str);
+    _UtilExport std::string removeSlashes(const std::string& str);
 
-_UtilExport void        lowercase(std::string* str);
-_UtilExport std::string getLowercase(const std::string& str);
+    _UtilExport void        lowercase(std::string* str);
+    _UtilExport std::string getLowercase(const std::string& str);
 
-_UtilExport void        uppercase(std::string* str);
-_UtilExport std::string getUppercase(const std::string& str);
+    _UtilExport void        uppercase(std::string* str);
+    _UtilExport std::string getUppercase(const std::string& str);
 
-_UtilExport int         nocaseCmp(const std::string& s1, const std::string& s2);
-_UtilExport int         nocaseCmp(const std::string& s1, const std::string& s2, size_t len);
+    _UtilExport int         nocaseCmp(const std::string& s1, const std::string& s2);
+    _UtilExport int         nocaseCmp(const std::string& s1, const std::string& s2, size_t len);
 
-_UtilExport bool        hasComment(const std::string& str);
-_UtilExport std::string getComment(const std::string& str);
-_UtilExport size_t      getCommentPosition(const std::string& str);
-_UtilExport size_t      getNextCommentPosition(const std::string& str, size_t start = 0);
+    _UtilExport bool        hasComment(const std::string& str);
+    _UtilExport std::string getComment(const std::string& str);
+    _UtilExport size_t      getCommentPosition(const std::string& str);
+    _UtilExport size_t      getNextCommentPosition(const std::string& str, size_t start = 0);
+}
 
 #endif /* _Util_String_H__ */
